@echo off
cd %~dp0

cd ..\..
if not exist nomointerpreter.dll call build.bat
copy nomointerpreter.dll .\helloworld\Ada
cd helloworld
copy HelloWorld.seed .\Ada
cd Ada

echo Compilation Ada
@echo on

gcc -c -I. -gnatA nomo_interpreter.ads
gcc -c -I. -gnatA HelloWorld.adb
gcc -c -I. -gnatA test.adb
gnatbind -I. -x test.ali
gnatlink test.ali -o test.exe
@echo off

echo Compilations ok

pause

test.exe

pause